%define name GiNaC
%define version 1.0.6
%define release 1mdk
%define lcname ginac
%define vers 1
%define lib_name_orig lib%{lcname}
%define lib_name %{lib_name_orig}%{vers}
# Major number misused by authors 

Summary: C++ class library for symbolic calculations
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Mathematics
Source: ftp://ftpthep.physik.uni-mainz.de/pub/GiNaC/%{name}-%{version}.tar.bz2
URL: http://www.ginac.de/
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
BuildRequires: cln-devel >= 1.1 readline-devel ncurses-devel

%description
GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.

######################################################################
%package -n %{lib_name}
Summary: C++ class library for symbolic calculations
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Requires: cln >= 1.1 readline ncurses

%description -n %{lib_name}
GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.

This package provides the core GiNaC libraries.

######################################################################
%package -n %{lib_name}-devel
Summary: Libraries, includes and more to develop GiNaC applications
Group: Development/C++
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{lib_name_orig}-devel = %{version}-%{release}


%description -n %{lib_name}-devel
GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.

This is the libraries, include files and other resources you can use
to develop GiNaC applications.

######################################################################
%package utils
Summary: GiNaC-related utilities
Group: Sciences/Mathematics
Requires: %{name} = %{version}-%{release}

%description utils
GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.

This package includes the ginsh ("GiNaC interactive shell") which
provides a simple and easy-to-use CAS-like interface to GiNaC for
non-programmers, and the tool "viewgar" which displays the contents
of GiNaC archives.

######################################################################
%prep
%setup -q

%build
%define __libtoolize /bin/true
%configure CFLAGS=" -O2 " CXXFLAGS=" -O2 "
%make
make check

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

######################################################################
%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name}-devel
%_install_info ginac.info

%preun -n %{lib_name}-devel
%_remove_install_info ginac.info

######################################################################
%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/ginac/*.h
%{_infodir}/*.info*
%{_mandir}/man1/ginac-config.1*
%{_bindir}/ginac-config
%{_datadir}/aclocal/*

%files utils
%defattr(-,root,root)
%{_bindir}/ginsh
%{_bindir}/viewgar
%{_mandir}/man1/ginsh.1*
%{_mandir}/man1/viewgar.1*

%changelog
* Tue Mar  5 2002 Thomas Leclerc <leclerc@linux-mandrake.com> 1.0.6-1mdk
- don't use standard optimization level, to avoid segfaults
- 1.0.6 (bugfix release)
- make check in build section
- rename GiNaC to GiNaC-utils ("Provides:" was inconsistent)
- Group: Sciences/Mathematics for GiNaC-utils

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-2mdk
- lib major is 1 now

* Mon Jan 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5

* Thu Dec 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release

* Thu Nov 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Wed Nov 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Wed Sep 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> 

* Thu Aug  9 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9.2-1mdk
- first Mandrake release

* Thu Aug  9 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9.2-0.4mdk
- BuildRequires: ncurses-devel

* Thu Aug  2 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9.2-0.3mdk
- BuildRequires: readline-devel

* Thu Aug  2 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9.2-0.2mdk
- apply library policy

* Tue Aug  2 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9.2-0.1mdk
- initial Mandrake build
- adapt spec file from source archive (macros)
- don't force libtoolize
